
From: Adrian Bunk <bunk@stusta.de>

This patch makes two needlessly global variables static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/timex.h |    2 --
 25-akpm/kernel/timer.c        |    4 ++--
 2 files changed, 2 insertions(+), 4 deletions(-)

diff -puN include/linux/timex.h~kernel-timerc-make-two-variables-static include/linux/timex.h
--- 25/include/linux/timex.h~kernel-timerc-make-two-variables-static	2005-02-02 18:20:57.961496488 -0800
+++ 25-akpm/include/linux/timex.h	2005-02-02 18:20:57.966495728 -0800
@@ -240,9 +240,7 @@ extern long time_precision;	/* clock pre
 extern long time_maxerror;	/* maximum error */
 extern long time_esterror;	/* estimated error */
 
-extern long time_phase;		/* phase offset (scaled us) */
 extern long time_freq;		/* frequency offset (scaled ppm) */
-extern long time_adj;		/* tick adjust (scaled 1 / HZ) */
 extern long time_reftime;	/* time at last adjustment (s) */
 
 extern long time_adjust;	/* The amount of adjtime left */
diff -puN kernel/timer.c~kernel-timerc-make-two-variables-static kernel/timer.c
--- 25/kernel/timer.c~kernel-timerc-make-two-variables-static	2005-02-02 18:20:57.962496336 -0800
+++ 25-akpm/kernel/timer.c	2005-02-02 18:20:57.967495576 -0800
@@ -590,10 +590,10 @@ long time_tolerance = MAXFREQ;		/* frequ
 long time_precision = 1;		/* clock precision (us)		*/
 long time_maxerror = NTP_PHASE_LIMIT;	/* maximum error (us)		*/
 long time_esterror = NTP_PHASE_LIMIT;	/* estimated error (us)		*/
-long time_phase;			/* phase offset (scaled us)	*/
+static long time_phase;			/* phase offset (scaled us)	*/
 long time_freq = (((NSEC_PER_SEC + HZ/2) % HZ - HZ/2) << SHIFT_USEC) / NSEC_PER_USEC;
 					/* frequency offset (scaled ppm)*/
-long time_adj;				/* tick adjust (scaled 1 / HZ)	*/
+static long time_adj;			/* tick adjust (scaled 1 / HZ)	*/
 long time_reftime;			/* time at last adjustment (s)	*/
 long time_adjust;
 long time_next_adjust;
_
